import '@host';
import './api-docs.scss';

import { Component } from '../../scripts/decorators/component';
import { View }      from '../../scripts/decorators/view';
import { inject }    from '../../scripts/decorators/inject';
import { ApiDocs }   from './api-docs';

@Component({
  selector: 'api-docs'
})

@View({
  // template: template
  template: require('./api-docs.html')
})

/**
 * @class ApiDocsComponent
 */
export class ApiDocsComponent {
  @inject
  apiDocs: ApiDocs;

  private docsUrl: string;

  constructor() {
    // TODO: list of docs url endpoints.
    this.docsUrl = '/explorer';
  }

  iframeLoaded(event: Event) {
    // Do something
  }
}
