import '@host';
import './error-messages.scss';

import { HotReload }            from '../../../scripts/decorators/hot-reload';
import { Component }            from '../../../scripts/decorators/component';
import { View }                 from '../../../scripts/decorators/view';

@HotReload(module)

@Component({
  selector: 'error-messages',
  bind: {
    rejection: '='
  }
})

@View({
  template: require('./error-messages.html')
})

/**
 * @class ErrorMessages
 */
export class ErrorMessages {
  rejection: any;
}
