import { Config } from '../decorators/config';
import { inject } from '../decorators/inject';

@Config

/**
 * @class UiSelectConfigs
 * @config
 */
export class UiSelectConfigs {
  @inject
  uiSelectConfig: any;

  constructor() {
    this.setConfigs();
  }

  /**
   * Set ionic configs
   */
  setConfigs() {
    this.uiSelectConfig.theme = 'select2';
  }
}
