// TODO: hot: true to component?
// plugins to components?
import '../services/hot-reload';

// TODO: optionally take component name as second argument
export const HotReload = (componentModule: any) => {
  const decorator: ClassDecorator = (Target: any) => {

    if (!componentModule.hot) {
      return;
    }

    const componentOptions = _.find(Target.annotations, (item: any) => {
      // TODO: find and copy typesciprt/angular2 annotations
      // format/schema
      return item.type === 'component';
    }) || {};

    const componentName = componentOptions.value.name || componentOptions.value.selector;

    componentModule.hot.accept();
    componentModule.hot.dispose(() => {
      // TODO: setting for this
      if (console && console.clear) {
        console.clear();
      }

      console.info('Webpack reloading');
      location.reload();

      // _.defer(() => {
      //   // TODO: find better way of getting this servicek
      //   angular
      //     .element(document)
      //     .injector()
      //     .get('hotReload')
      //     .reloadComponent(componentName);
      // });
    });
  };

  return decorator;
};
