// import '../dependencies/app';
import { IState, Router } from '../providers/router';

/**
 * @decorator State
 *
 * @todo doc my params, description, and example
 */
export const State = (stateConfig: IState) => {
  const decorator: ClassDecorator = (Target: any) => {

    // Construct the module
    // TODO: config decorator
    angular
      .module('app')
      .config(['routerProvider', (routerProvider: Router) => {
        const componentAnnotation = _.find(Target.annotations, (annotation: any) => {
          return annotation.type === 'component';
        });

        if (!stateConfig.component && componentAnnotation) {
          stateConfig.component = componentAnnotation.value.name;
        }

        Router.noop();

        // TODO: move router to be a provider
        routerProvider.applyRoute(stateConfig);
      }]);

    return Target;
  };

  return decorator;
};
