import { Directive } from '../decorators/directive';

@Directive('loadAnimation')
export class LoadAnimationDirective implements angular.IDirective {
  link(scope: ng.IScope, element: ng.IAugmentedJQuery, attrs: any) {
    const className = attrs.loadAnimation || 'fade';
    element.addClass(className);
    element.on('load', () => {
      element.removeClass(className);
    });
  }
}
