import '@host';

import { Config } from '../../../scripts/decorators/config';
import { inject } from '../../../scripts/decorators/inject';

import 'angular-easyfb';

@Config
export class EasyfbConfig {
  @inject
  ezfbProvider: any;

  @inject
  private config: any;

  constructor() {
    this.ezfbProvider.setInitParams({
      appId: this.config.fbAppId,
      version: 'v2.1'
    });
  }
}
