import '../dependencies';
import { compiler, config } from '../services/webpack';

// TODO: dev only
export = () => {
  if (process.env.NODE_ENV === 'development' || !process.env.NODE_ENV) {
    return require('webpack-dev-middleware')(compiler, {
      noInfo: true,
      publicPath: config.output.publicPath,
      historyApiFallback: true
    });
  } else {
    return (req: any, res: any, next: any) => next();
  }
};
