import '@host';
import './developer.scss';

import { Component }   from '../../scripts/decorators/component';
import { View }        from '../../scripts/decorators/view';
import { inject }      from '../../scripts/decorators/inject';
import { Developer }        from './developer-service';

@Component({
  selector: 'developer'
})

@View({
  template: require('./developer.html')
})

/**
 * @class DocsComponent
 */
export class DocsComponent {
  @inject
  developer: Developer;
}
