import '@host';
import './docs.scss';

import { Component }   from '../../scripts/decorators/component';
import { View }        from '../../scripts/decorators/view';
import { inject }      from '../../scripts/decorators/inject';
import { Docs }        from './docs';

@Component({
  selector: 'docs'
})

@View({
  template: require('./docs.html')
})

/**
 * @class DocsComponent
 */
export class DocsComponent {
  @inject
  docs: Docs;
}
