import { Config } from '../decorators/config';
import { Router } from '../providers/router';
import { inject } from '../decorators/inject';

@Config
export class Routes extends Router {
  @inject
  config: any;

  // TODO: configs for this
  defaultRoute = this.config.defaultRoute || '/';

  // TODO: get from ss-confg instead
  routes = this.config.routes;

  constructor() {
    super();
    this.applyRoutes();
  }
}
