import { Config } from '../decorators/config';
import { inject } from '../decorators/inject';

@Config

export class SceConfigs {
  @inject
  $sceDelegateProvider: angular.ISCEDelegateProvider;

  constructor() {
    this.setConfigs();
  }

  /**
   * Set location configs
   */
  setConfigs() {
    // TODO: dev modeonly
    this.$sceDelegateProvider.resourceUrlWhitelist(['*', 'self']);
  }
}
