export interface IViewDecoratorOptions {
  templateUrl?: string;
  template?: string;
}

export const View = (options: IViewDecoratorOptions) => {
  const decorator: ClassDecorator = (Target: any) => {

    if (!Target.annotations) {
      Target.annotations = [];
    }

    Target.annotations.push({
      type: 'view',
      value: options
    });

    return Target;
  };

  return decorator;
};
