export interface IUser {
  id: number;
  handle: string;
  firstName: string;
  lastName: string;
  description: string;
  image: string;
  locale: string;
  type: string;
  apiKey: string;
  shopSensePartner: boolean;
  shopSenseStatus: string;
  apiPartner: boolean;
  partnerUserId: string;
  email: string;
  authLevel: string;
  hasShoppingProfiles: boolean;
  numFavorites: number;
  numFriends: number;
  numFollowers: number;
  saleAlertSubscription: string;
  following: boolean;
  followed: boolean;
  verified: boolean;
  shopEditor: boolean;
  permissions: any[];
  faveUser: boolean;
  allowsEmail: boolean;
  loginToken: string;
  loginTimestamp: string;
  $isLoggedIn: boolean;
  paypalEmail: string;
  paypalFirstName: string;
  paypalLastName: string;
}
